# 86. Kysely: Hae "Maatilat"

Seuraavassa on perus GraphQL-kysely, jota käytetään käyttäjän käytettävissä olevien kaikkien "Tilojen" hakemiseen:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
kysely FetchAllFarms {
  getFarms {
    uuid
    userUuid
    nimi
    farmOwnership
    externalKey
    ownerEmail
    luontipäivä
    updatedDate
  }
}
```

{% endcode %}

Muiden parametrien lisäksi voit käyttää `farmUuids` ja `externalKeys` suodattimia mukauttamaan vastaustasi. Näitä suodattimia voidaan käyttää erikseen tai yhdistettynä, jolloin tiedonhaku on kohdennetumpaa.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
kysely FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    nimi
    farmOwnership
    externalKey
    ownerEmail
    luontipäivä
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/86.-kysely-hae-maatilat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
